io.vertx.ext.consul

## Enum CheckStatus

- java.lang.Object
- - java.lang.Enum<CheckStatus>
  - - io.vertx.ext.consul.CheckStatus

- All Implemented Interfaces:
    Serializable, Comparable<CheckStatus>

      public enum CheckStatus
      extends Enum<CheckStatus>

  Represents an check status.
  Author:
    Ruslan Sennov
  See Also:
    Consul checks documentation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL`
    `PASSING`
    `WARNING`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `key`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CheckStatus` | `of(String key)`
    `static CheckStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CheckStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PASSING

          public static final CheckStatus PASSING

    - #### WARNING

          public static final CheckStatus WARNING

    - #### CRITICAL

          public static final CheckStatus CRITICAL

  - ### Field Detail

    - #### key

          public final String key

  - ### Method Detail

    - #### values

          public static CheckStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CheckStatus c : CheckStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CheckStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static CheckStatus of(String key)

Copyright © 2019 Eclipse. All rights reserved.